"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VDocument_1 = require("../core/VDocument");
const utils_1 = require("./utils");
let vDocument;
let vBrowser;
let vPage;
let page;
beforeAll(async () => {
    vBrowser = await utils_1.launch();
    vPage = await vBrowser.newPage();
    page = vPage.frame;
});
afterAll(async () => {
    await vBrowser.close();
});
beforeEach(async () => {
    await page.goto(utils_1.servedFileURL('page.html'));
    vDocument = await VDocument_1.VDocument.create(vPage, () => document);
});
test('#getSheetDataList()', async () => {
    const result = await vDocument.getSheetDataList();
    expect(result).toEqual([
        { type: 'link', url: utils_1.servedFileURL('main.css') },
        { type: 'text', url: utils_1.servedFileURL('page'), text: expect.stringMatching(/\.style-tag/) },
    ]);
});
test('#setUuidToIFrames()', async () => {
    await vDocument.setUuidToIFramesAndShadowHosts();
    const uuids = await page.$$eval('iframe', els => els.map(el => el.dataset.vanillaClipperIframeUuid));
    expect(uuids).toHaveLength(1);
    expect(uuids[0]).toHaveLength(36);
});
//# sourceMappingURL=VDocument.test.js.map