"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VMetadata_1 = require("../core/VMetadata");
let vMetadata;
const metadataObject = {
    _version: 1,
    domain: 't.co',
    hostname: 't.co',
    url: 'https://t.co/example',
    title: 'Title',
};
beforeEach(() => {
    vMetadata = new VMetadata_1.VMetadata();
    vMetadata.set(metadataObject);
});
describe('static', () => {
    test('parse json', async () => {
        const json = JSON.stringify(metadataObject);
        const vMetadata = await VMetadata_1.VMetadata.parse(json);
        expect(vMetadata).toMatchObject(metadataObject);
    });
    test('parse json (fail)', async () => {
        const json = JSON.stringify({ version: 1 });
        await expect(VMetadata_1.VMetadata.parse(json)).rejects.toHaveProperty('errors.length', 4);
    });
});
test('#stringify()', () => {
    expect(vMetadata.stringify()).toMatch(`{
    "_createdAt": "${vMetadata._createdAt.dateTime.toISO()}",
    "_version": 1,
    "domain": "t.co",
    "hostname": "t.co",
    "url": "https://t.co/example",
    "title": "Title"
}`);
});
//# sourceMappingURL=VMetadata.test.js.map