"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const file_1 = require("../utils/file");
test('extractExtensionFromURL()', () => {
    expect(file_1.extractExtensionFromURL('main.css')).toBe('css');
    expect(file_1.extractExtensionFromURL('"main.css"')).toBe('css');
    expect(file_1.extractExtensionFromURL('main.css#a')).toBe('css');
    expect(file_1.extractExtensionFromURL('"main.css#a"')).toBe('css');
});
test('newFilePath()', async () => {
    expect(await file_1.newFilePath('pages', 'title')).toBe(path_1.resolve('pages', 'title.html'));
    expect(await file_1.newFilePath('pages', 'title', 'css')).toBe(path_1.resolve('pages', 'title.css'));
});
test('dataPath()', () => {
    expect(file_1.dataPath('resources')).toBe(path_1.resolve('tmp', '__data__', 'resources'));
});
//# sourceMappingURL=utils.file.test.js.map