"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const path_1 = require("path");
const site_1 = require("./site");
class ConfigStore {
    constructor() { }
    loadConfigFile(dirname) {
        return require(path_1.resolve(dirname, '.vanilla-clipper', 'config.js'));
    }
    load() {
        let loadedConfig;
        try {
            loadedConfig = this.loadConfigFile(process.cwd());
        }
        catch (error) {
            loadedConfig = this.loadConfigFile(os_1.homedir());
        }
        this.sites = new site_1.Sites(loadedConfig.sites);
        this.twitter = loadedConfig.twitter;
        this.resource = loadedConfig.resource;
    }
}
exports.ConfigStore = ConfigStore;
exports.config = new ConfigStore();
exports.config.load();
//# sourceMappingURL=index.js.map