import { VPage } from '../core/VPage';
export interface ISite {
    url: string;
    userAgent: string;
    accounts: {
        [label: string]: {
            isLoggedIn?: boolean;
            [key: string]: boolean | string | (() => string | Promise<string>) | undefined;
        } | undefined;
    };
    login: [PageAction, ...string[]][];
}
declare type PageAction = 'goto' | 'focus' | 'input' | 'click' | 'submit' | 'wait';
export declare class Sites {
    siteDataList: ISite[];
    sites: ISite[];
    constructor(siteDataList: ISite[]);
    findSite(url: string): ISite | undefined;
    login(site: ISite, vPage: VPage, accountLabel?: string): Promise<void>;
}
export {};
