import { ElementHandle, EvaluateFn } from 'puppeteer-core';
import { VFrame } from '..';
import { StyleSheetData } from '../types';
export declare class VDocument {
    vFrame: VFrame;
    private documentHandle;
    static create(vFrame: VFrame, fn: EvaluateFn): Promise<VDocument>;
    private constructor();
    eval<T, A extends any[]>(fn: (document: Document, ...args: A) => T, ...args: A): Promise<T>;
    $(selector: string): Promise<ElementHandle<Element> | null>;
    $$(selector: string): Promise<ElementHandle<Element>[]>;
    getHTML(): Promise<{
        html: string;
        location: Location;
    }>;
    getSheetDataList(): Promise<StyleSheetData[]>;
    setUuidToIFramesAndShadowHosts(): Promise<void>;
    embedContentOfShadowDOMs(): Promise<void>;
    replaceObjectURLsWithDataURL(): Promise<void>;
    clipIframes(jsdomIframeElements: HTMLElement[]): Promise<{
        uuid: string;
        html: string;
    }[]>;
    click(selector: string): Promise<void>;
    scrollToBottom({ element, scroll, maxScrolls, }: {
        element?: string;
        scroll?: string;
        maxScrolls: number;
    }): Promise<number>;
}
