"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_store_1 = require("../config-store");
const VFrame_1 = require("./VFrame");
class VPage extends VFrame_1.VFrame {
    constructor(vBrowser, frame) {
        super(vBrowser, frame);
        this.vBrowser = vBrowser;
        this.frame = frame;
        this.isRoot = true;
        this.initialViewport = this.frame.viewport();
    }
    async clip(options = {}) {
        const result = await super.clip(options);
        return result;
    }
    async setViewportHeight(height) {
        this.frame.setViewport(Object.assign({}, this.initialViewport, { height }));
    }
    async resetViewport() {
        this.frame.setViewport(this.initialViewport);
    }
    async close() {
        return this.frame.close();
    }
    async goto(url, label) {
        const site = config_store_1.config.sites.findSite(url);
        if (site) {
            await config_store_1.config.sites.login(site, this, label);
        }
        if (site && site.userAgent) {
            await this.frame.setUserAgent(site.userAgent);
        }
        else {
            await this.frame.setUserAgent(await this.vBrowser.browser.userAgent());
        }
        await this.frame.goto('about:blank', { waitUntil: 'networkidle2' });
        await this.frame.waitFor(500);
        await this.frame.goto(url, { waitUntil: 'networkidle2' });
        await this.frame.waitFor(3000);
    }
}
exports.VPage = VPage;
//# sourceMappingURL=VPage.js.map