/// <reference types="@types/node" />
import 'mime-types';
interface Version {
    createdAt: string;
    hash: string;
    path: string;
}
export interface IResource {
    url: string;
    versions: Version[];
}
export declare class Resource implements IResource {
    url: string;
    versions: Version[];
    recentVersion(): Version | undefined;
    constructor(url: string);
    save(): void;
    createVersion({ buffer, hash, mimetype, }: {
        buffer: Buffer;
        hash?: string;
        mimetype?: string;
    }): Promise<Version | {
        path: string;
    }>;
    static get(url: string): Resource;
    static withRelativeURL(version?: {
        path: string;
    }): {
        version: {
            path: string;
        };
        url: string;
    } | undefined;
    static store(baseURL: string, relativeURL: string, dataURL?: string): Promise<{
        version: {
            path: string;
        };
        url: string;
    } | undefined>;
}
export {};
