import { DateTime } from 'luxon';
import { VDocument } from './core/VDocument';
export declare type TailArguments<T> = T extends (arg1: any, ...args: infer U) => any ? U : never[];
export interface DataMap {
    [url: string]: string;
}
export declare type DataListItem = [string, string];
export declare type StyleSheetData = {
    type: 'link';
    url: string;
} | {
    type: 'text';
    url: string;
    text: string;
} | {
    type: 'error';
    url: string;
    error: Error;
};
export declare type Sheet = {
    text: string;
    url: string;
};
export declare type VPlugin = (vDocument: VDocument) => Promise<void>;
export interface VPluginStore {
    beforeLoad: VPlugin[];
    afterLoad: VPlugin[];
}
export interface IFrameData {
    uuid: string;
    html: string;
}
export interface IMetadata {
    _version: number;
    _createdAt: DateTime;
    domain: string;
    hostname: string;
    url: string;
    title: string;
}
