"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const data_1 = require("./data");
const element_1 = require("./element");
function embedIFrameContents(finder, iframeDataList) {
    return iframeDataList.map(({ uuid, html }) => {
        const iframe = finder(element_1.getVAttrSelector.iframeUuid(uuid))[0];
        delete iframe.dataset.vanillaClipperIframeUuid;
        iframe.srcdoc = html;
        iframe.dataset.vanillaClipperSrc = iframe.src;
        iframe.removeAttribute('src');
        return iframe;
    });
}
exports.embedIFrameContents = embedIFrameContents;
function moveAttrToDatasetAndReturnURLs(finder) {
    const urlsInAttrs = new Set();
    {
        finder({ selector: '[src]', not: ['[src=""]', 'iframe'] }).forEach(el => {
            const url = el.getAttribute('src');
            if (data_1.dataURLPattern.test(url))
                return;
            el.removeAttribute('src');
            el.dataset.vanillaClipperSrc = url;
            urlsInAttrs.add(url);
        });
        finder({
            selector: '[href]',
            not: [
                '[href=""]',
                'a',
                'div',
                '[rel~=alternate]',
                '[rel~=canonical]',
                '[rel~=prev]',
                '[rel~=next]',
            ],
        }).forEach(el => {
            const url = el.getAttribute('href');
            if (data_1.dataURLPattern.test(url))
                return;
            el.removeAttribute('href');
            el.dataset.vanillaClipperHref = url;
            urlsInAttrs.add(url);
        });
    }
    return urlsInAttrs;
}
exports.moveAttrToDatasetAndReturnURLs = moveAttrToDatasetAndReturnURLs;
function appendScriptToHead(document, scriptString) {
    const script = document.createElement('script');
    script.dataset.vanillaClipperScript = '';
    script.innerHTML = scriptString;
    document.head.appendChild(script);
}
exports.appendScriptToHead = appendScriptToHead;
//# sourceMappingURL=document.js.map