"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const html_minifier_1 = require("html-minifier");
function generateFullHTML({ doctype = '', document, vMetadata, minify: shouldMinify, }) {
    if (vMetadata) {
        const meta = document.createElement('meta');
        meta.name = 'vanilla-clipper';
        meta.content = vMetadata.stringify();
        document.head.prepend(meta);
    }
    const fullHTML = `${doctype}\n${document.documentElement.outerHTML}`;
    return shouldMinify ? html_minifier_1.minify(fullHTML, { minifyJS: true, minifyCSS: true }) : fullHTML;
}
exports.generateFullHTML = generateFullHTML;
function extractVanillaMetadata(fullHTML) {
    const m = fullHTML.match(/<!--vanilla-clipper-metadata: ({\n[\s\S]+?\n})-->/);
    if (!m)
        return null;
    return m && m[1];
}
exports.extractVanillaMetadata = extractVanillaMetadata;
//# sourceMappingURL=html.js.map